ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# Read 

###
Companion object Read

#### case class Read(name: Option[String] = None, description: Option[String] = None, alphabet: Option[String] = None, sequence: Option[String] = None, length: Option[Long] = None, qualityScores: Option[String] = None, sampleId: Option[String] = None, attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Read
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Read(name: Option[String] = None, description: Option[String] = None, alphabet: Option[String] = None, sequence: Option[String] = None, length: Option[Long] = None, qualityScores: Option[String] = None, sampleId: Option[String] = None, attributes: Map[String, String] = Map())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alphabet: Option[String]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val attributes: Map[String, String]
7.  def canEqual(that: Any): Boolean
   Definition Classes
     Read → Equals
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  val description: Option[String]
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val length: Option[Long]
14.  val name: Option[String]
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  def productArity: Int
    Definition Classes
      Read → Product
19.  def productElement(i: Int): Any
    Definition Classes
      Read → Product
20.  val qualityScores: Option[String]
21.  val sampleId: Option[String]
22.  val sequence: Option[String]
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toAvro: formats.avro.Read
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped